ghc-mod-5.7.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Browse

Synopsis

- browse :: forall m. IOish m => BrowseOpts -> String -> GhcModT m String
- data BrowseOpts = BrowseOpts {
  - optBrowseOperators :: Bool
  - optBrowseDetailed :: Bool
  - optBrowseParents :: Bool
  - optBrowseQualified :: Bool
  }

# Documentation

browse #

Arguments

:: IOish m |
=> BrowseOpts | Configuration parameters
-> String | A module name. (e.g. "Data.List", "base:Prelude")
-> GhcModT m String |

Getting functions, classes, etc from a module.

data BrowseOpts #

Options for "browseWith" function

Constructors

BrowseOpts |
Fields optBrowseOperators :: Bool If `True`, "browseWith" also returns operators. optBrowseDetailed :: Bool If `True`, "browseWith" also returns types. optBrowseParents :: Bool If `True`, "browseWith" also returns parents. optBrowseQualified :: Bool If `True`, "browseWith" will return fully qualified name

Instances

Show BrowseOpts # |
Methods showsPrec :: Int -> BrowseOpts -> ShowS # show :: BrowseOpts -> String # showList :: [BrowseOpts] -> ShowS #